.wp-block-buttons {
	.wp-block-button {
		transition: all 250ms ease-in-out;

		&:not(.is-style-outline) {
			.wp-block-button__link {
				display: inline-flex;
				align-items: center;
				position: relative;
				color: #FFFFFF;
				background-color: #3a34b7;
				border-radius: 0;
				transition: all 250ms ease-in-out;

				&::after {
					content: '→';
					display: inline-block;
					width: auto;
					height: auto;
					margin-left: 8px;
					transition: all 250ms linear;
				}

				&:hover {
					background-color: #FFFFFF;
					color: #3a34b7;

					&::after {
						transform: translateX(4px);
					}
				}

				&:focus,
				&:active &:focus-visible {
					outline: none;
					color: #625FF8;
					background-color: #FFFFFF;
					box-shadow: 0 0 0 2px #625FF8;
				}

			}
		}

		&.is-style-outline {
			.wp-block-button__link {
				display: inline-flex;
				align-items: center;
				position: relative;
				color: #625FF8;
				background-color: #FFFFFF;
				border-radius: 0;
				transition: all 250ms ease-in-out;

				&::after {
					content: '→';
					display: inline-block;
					width: auto;
					height: auto;
					margin-left: 8px;
					transition: all 250ms linear;
				}

				&:hover {
					color: #FFFFFF;
					background-color: #625FF8;

					&::after {
						transform: translateX(4px);
					}

				}

				&:focus,
				&:active &:focus-visible {
					outline: none;
					color: #625FF8;
					background-color: #FFFFFF;
					box-shadow: 0 0 0 2px #625FF8;
				}
			}

		}
	}
}
